org.eclipse.incquery.viewers.runtime.extensions

## Class ViewersComponentConfiguration

- java.lang.Object
- - org.eclipse.incquery.viewers.runtime.extensions.ViewersComponentConfiguration

-     public class ViewersComponentConfiguration
      extends java.lang.Object

  Configuration DTO for IncQuery Viewers components.
  Author:
    istvanrath

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ViewersComponentConfiguration(org.eclipse.emf.common.notify.Notifier _model, java.util.Collection<IQuerySpecification<?>> _patterns)`
    `ViewersComponentConfiguration(org.eclipse.emf.common.notify.Notifier _model, java.util.Collection<IQuerySpecification<?>> _patterns, ViewerDataFilter _filter)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ViewersComponentConfiguration` | `fromQuerySpecFQNs(java.util.Collection<java.lang.String> fqns)`
    `static ViewersComponentConfiguration` | `fromQuerySpecs(java.util.Collection<IQuerySpecification<IncQueryMatcher<? extends IPatternMatch>>> specs)` TODO this does not seem to be usable at the moment Java generics bugs?
    `ViewerDataFilter` | `getFilter()`
    `org.eclipse.emf.common.notify.Notifier` | `getModel()`
    `java.util.Collection<IQuerySpecification<?>>` | `getPatterns()`
    `ViewersComponentConfiguration` | `newCopy()`
    `void` | `setFilter(ViewerDataFilter filter)`
    `void` | `setModel(org.eclipse.emf.common.notify.Notifier model)`
    `void` | `setPatterns(java.util.Collection<IQuerySpecification<?>> patterns)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ViewersComponentConfiguration

          public ViewersComponentConfiguration(org.eclipse.emf.common.notify.Notifier _model,
                                               java.util.Collection<IQuerySpecification<?>> _patterns,
                                               ViewerDataFilter _filter)

    - #### ViewersComponentConfiguration

          public ViewersComponentConfiguration(org.eclipse.emf.common.notify.Notifier _model,
                                               java.util.Collection<IQuerySpecification<?>> _patterns)

  - ### Method Detail

    - #### fromQuerySpecs

          public static ViewersComponentConfiguration fromQuerySpecs(java.util.Collection<IQuerySpecification<IncQueryMatcher<? extends IPatternMatch>>> specs)

      TODO this does not seem to be usable at the moment Java generics bugs?
      Parameters:
        `specs` -
      Returns:

    - #### fromQuerySpecFQNs

          public static ViewersComponentConfiguration fromQuerySpecFQNs(java.util.Collection<java.lang.String> fqns)

    - #### getModel

          public org.eclipse.emf.common.notify.Notifier getModel()

      Returns:
        the model

    - #### setModel

          public void setModel(org.eclipse.emf.common.notify.Notifier model)

      Parameters:
        `model` - the model to set

    - #### getPatterns

          public java.util.Collection<IQuerySpecification<?>> getPatterns()

      Returns:
        the patterns

    - #### setPatterns

          public void setPatterns(java.util.Collection<IQuerySpecification<?>> patterns)

      Parameters:
        `patterns` - the patterns to set

    - #### getFilter

          public ViewerDataFilter getFilter()

      Returns:
        the filter

    - #### setFilter

          public void setFilter(ViewerDataFilter filter)

      Parameters:
        `filter` - the filter to set

    - #### newCopy

          public ViewersComponentConfiguration newCopy()